webpackJsonp([0],{

/***/ 125:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CityListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_radios_radios__ = __webpack_require__(126);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the CityListPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CityListPage = /** @class */ (function () {
    function CityListPage(navParams, viewCtrl, radiosProvider) {
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.radiosProvider = radiosProvider;
        this.radioRef = navParams.get('radioRef');
        this.logoSrc = navParams.get('logoSrc');
        this.getRadioChildren();
    }
    CityListPage.prototype.getRadioChildren = function () {
        var _this = this;
        this.radiosProvider.loadRadioRef(this.radioRef)
            .then(function (data) {
            _this.radios = data['data'];
        });
    };
    CityListPage.prototype.closeModal = function () {
        this.viewCtrl.dismiss();
    };
    CityListPage.prototype.onRadioSelect = function (selectedRadio) {
        this.viewCtrl.dismiss(selectedRadio);
    };
    CityListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-city-list',template:/*ion-inline-start:"C:\Users\svlima\Desktop\app_radios\commit-gui-4\src\pages\city-list\city-list.html"*/'<ion-header padding>\n\n  <ion-buttons start>\n\n    <button (click)="closeModal()" ion-button icon-only>\n\n      <ion-icon name="close"></ion-icon>\n\n    </button>\n\n  </ion-buttons>\n\n  <img [src]="logoSrc" />\n\n  <h3>selecione uma estação</h3>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <ion-list no-lines>\n\n    <ion-item *ngFor="let radio of radios" (click)="onRadioSelect(radio)">\n\n      {{ radio.cidade }}\n\n    </ion-item>\n\n  </ion-list>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\svlima\Desktop\app_radios\commit-gui-4\src\pages\city-list\city-list.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_radios_radios__["a" /* RadiosProvider */]])
    ], CityListPage);
    return CityListPage;
}());

//# sourceMappingURL=city-list.js.map

/***/ }),

/***/ 126:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RadiosProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common_http__ = __webpack_require__(122);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_map__ = __webpack_require__(316);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__services_http_util_service__ = __webpack_require__(64);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/*
  Generated class for the RadiosProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var RadiosProvider = /** @class */ (function () {
    function RadiosProvider(http, httpUtilService) {
        this.http = http;
        this.httpUtilService = httpUtilService;
        console.log('Hello RadiosProvider Provider');
    }
    RadiosProvider.prototype.load = function () {
        var _this = this;
        return new Promise(function (resolve) {
            var url = "radios/app/true";
            _this.http.get(_this.httpUtilService.url(url))
                .map(function (res) { return res; })
                .subscribe(function (data) {
                _this.data = data;
                resolve(_this.data);
            });
        });
    };
    RadiosProvider.prototype.loadTopo = function () {
        return this.http.get(this.httpUtilService.url('topo'))
            .map(function (response) { return response['data']; });
    };
    RadiosProvider.prototype.loadRadioRef = function (radioRef) {
        var _this = this;
        return new Promise(function (resolve) {
            var url = "radios/" + radioRef;
            _this.http.get(_this.httpUtilService.url(url))
                .map(function (res) { return res; })
                .subscribe(function (data) {
                _this.dataRef = data;
                console.log(_this.dataRef);
                resolve(_this.dataRef);
            });
        });
    };
    RadiosProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_common_http__["a" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_3__services_http_util_service__["a" /* HttpUtilService */]])
    ], RadiosProvider);
    return RadiosProvider;
}());

//# sourceMappingURL=radios.js.map

/***/ }),

/***/ 127:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DatabaseProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_sqlite__ = __webpack_require__(229);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_BehaviorSubject__ = __webpack_require__(238);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_BehaviorSubject___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_BehaviorSubject__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(39);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/*
  Generated class for the DatabaseProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var DatabaseProvider = /** @class */ (function () {
    function DatabaseProvider(platform, sqlite) {
        var _this = this;
        this.platform = platform;
        this.sqlite = sqlite;
        this.dbReady = new __WEBPACK_IMPORTED_MODULE_2_rxjs_BehaviorSubject__["BehaviorSubject"](false);
        this.platform.ready().then(function () {
            _this.sqlite.create({
                name: 'radio.db',
                location: 'default'
            })
                .then(function (db) {
                _this.database = db;
                _this.createTables().then(function () {
                    _this.dbReady.next(true);
                });
            });
        });
    }
    DatabaseProvider.prototype.createTables = function () {
        var _this = this;
        return this.database.executeSql("CREATE TABLE IF NOT EXISTS radiosCache (id integer primary key AUTOINCREMENT NOT NULL, LastUpdate TIMESTAMP);")
            .then(function () {
            return _this.database.executeSql("CREATE TABLE IF NOT EXISTS radios (id integer primary key AUTOINCREMENT NOT NULL,\n                _id TEXT,\n                title TEXT,\n                Imagem_app1 TEXT,\n                Imagem_app2 TEXT,\n                Imagem_app3 TEXT,\n                parent integer,\n                RadioRef TEXT,\n                cidade TEXT,\n                ordem integer,\n                stream_address_app TEXT,\n                stream_address TEXT);");
        }).catch(function (err) { return console.log("error detected creating tables", err); });
    };
    DatabaseProvider.prototype.isReady = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            if (_this.dbReady.getValue()) {
                resolve();
            }
            else {
                _this.dbReady.subscribe(function (ready) {
                    if (ready) {
                        resolve();
                    }
                });
            }
        });
    };
    DatabaseProvider.prototype.insert = function (radio, orderRadio) {
        var _this = this;
        return this.isReady()
            .then(function (db) {
            var sql = 'insert into radios (title, Imagem_app1, Imagem_app2,Imagem_app3, parent, RadioRef, stream_address, stream_address_app, cidade, ordem, _id) values (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)';
            var data = [radio.title, radio.Imagem_app1, radio.Imagem_app2, radio.Imagem_app3, radio.parent ? 1 : 0, radio.RadioRef, radio.stream_address, radio.stream_address_app, radio.cidade, orderRadio, radio._id];
            return _this.database.executeSql(sql, data)
                .catch(function (e) { return console.error(e); });
        })
            .catch(function (e) { return console.error(e); });
    };
    DatabaseProvider.prototype.updateAll = function (radio) {
        var _this = this;
        return this.isReady()
            .then(function (db) {
            var sqltitle = 'update radios set title = ? where _id = ?';
            var datatitle = [radio.title, radio._id];
            _this.database.executeSql(sqltitle, datatitle);
            var sqlImagem_app1 = 'update radios set Imagem_app1 = ? where _id = ?';
            var dataImagem_app1 = [radio.Imagem_app1, radio._id];
            _this.database.executeSql(sqlImagem_app1, dataImagem_app1);
            var sqlImagem_app2 = 'update radios set Imagem_app2 = ? where _id = ?';
            var dataImagem_app2 = [radio.Imagem_app2, radio._id];
            _this.database.executeSql(sqlImagem_app2, dataImagem_app2);
            var sqlRadioRef = 'update radios set RadioRef = ? where _id = ?';
            var dataRadioRef = [radio.RadioRef, radio._id];
            _this.database.executeSql(sqlRadioRef, dataRadioRef);
            var sqlstream_address_app = 'update radios set stream_address_app = ? where _id = ?';
            var datastream_address_app = [radio.stream_address_app, radio._id];
            _this.database.executeSql(sqlstream_address_app, datastream_address_app);
            var sqlcidade = 'update radios set cidade = ? where _id = ?';
            var datacidade = [radio.cidade, radio._id];
            _this.database.executeSql(sqlcidade, datacidade);
            // return this.database.executeSql(sql, data)
            //   .catch((e) => console.error(e));
        })
            .catch(function (e) { return console.error(e); });
    };
    DatabaseProvider.prototype.getAny = function () {
        var _this = this;
        return this.isReady()
            .then(function (db) {
            return _this.database.executeSql("SELECT count(*) from radios", [])
                .then(function (data) {
                if (data.rows.length) {
                    return data.rows.item(0);
                }
                return null;
            });
        });
    };
    DatabaseProvider.prototype.updateOrder = function (id) {
        var _this = this;
        console.log(id);
        return this.isReady()
            .then(function () {
            var sql = 'update  radios set ordem = ordem + 1 where _id = ?';
            var data = [id];
            return _this.database.executeSql(sql, data)
                .catch(function (e) { return console.error(e); });
        });
    };
    DatabaseProvider.prototype.getAll = function () {
        var _this = this;
        return this.isReady()
            .then(function () {
            return _this.database.executeSql("SELECT * from radios order by ordem desc", [])
                .then(function (data) {
                var lists = [];
                for (var i = 0; i < data.rows.length; i++) {
                    lists.push(data.rows.item(i));
                }
                return lists;
            });
        });
    };
    DatabaseProvider.prototype.dropTable = function () {
        var _this = this;
        return this.isReady()
            .then(function () {
            return _this.database.executeSql("delete from radios", []);
        });
    };
    DatabaseProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_1__ionic_native_sqlite__["a" /* SQLite */]])
    ], DatabaseProvider);
    return DatabaseProvider;
}());

//# sourceMappingURL=database.js.map

/***/ }),

/***/ 141:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 141;

/***/ }),

/***/ 186:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 186;

/***/ }),

/***/ 233:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__ionic_native_background_mode__ = __webpack_require__(234);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_media__ = __webpack_require__(231);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_music_controls__ = __webpack_require__(230);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(232);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__city_list_city_list__ = __webpack_require__(125);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_radios_radios__ = __webpack_require__(126);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_event_logger_event_logger__ = __webpack_require__(235);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var HomePage = /** @class */ (function () {
    function HomePage(backgroundMode, loadingCtrl, media, modalCtrl, musicControls, radiosProvider, storage, logger) {
        this.backgroundMode = backgroundMode;
        this.loadingCtrl = loadingCtrl;
        this.media = media;
        this.modalCtrl = modalCtrl;
        this.musicControls = musicControls;
        this.radiosProvider = radiosProvider;
        this.storage = storage;
        this.logger = logger;
        this.favoriteRadios = {};
        this.backgroundMode.enable();
        this.getRadios();
    }
    HomePage.prototype.ngAfterViewInit = function () {
        this.getHeroImage();
    };
    HomePage.prototype.getRadios = function () {
        var _this = this;
        var loading = this.loadingCtrl.create({
            content: 'Carregando...'
        });
        loading.present();
        this.radiosProvider.load().then(function (data) {
            loading.dismiss();
            var radios = data['data'];
            _this.storage.get('favoriteRadios').then(function (favoriteRadios) {
                if (!favoriteRadios) {
                    _this.radios = radios;
                }
                else {
                    _this.favoriteRadios = JSON.parse(favoriteRadios);
                    _this.radios = radios.sort(_this.sortRadios.bind(_this));
                }
            });
        });
    };
    HomePage.prototype.sortRadios = function (curr, next) {
        var currViews = this.favoriteRadios[curr._id] || 0;
        var nextViews = this.favoriteRadios[next._id] || 0;
        if (currViews < nextViews) {
            return 1;
        }
        else if (currViews > nextViews) {
            return -1;
        }
        return 0;
    };
    HomePage.prototype.getHeroImage = function () {
        var _this = this;
        this.radiosProvider
            .loadTopo()
            .subscribe(function (hero) { return (_this.heroImageSrc = hero.url); });
    };
    HomePage.prototype.onRadioSelect = function (radio) {
        this.selectedRadio = radio;
        if (radio.RadioRef) {
            this.openCityListModal(radio);
            return;
        }
        this.playRadio();
    };
    HomePage.prototype.openCityListModal = function (radio) {
        var _this = this;
        var cityListModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_6__city_list_city_list__["a" /* CityListPage */], {
            radioRef: radio.RadioRef,
            logoSrc: radio.Imagem_app2
        });
        cityListModal.present();
        cityListModal.onDidDismiss(function (radio) {
            if (radio) {
                _this.selectedRadio = Object.assign({}, _this.selectedRadio, radio);
                _this.playRadio();
            }
        });
    };
    HomePage.prototype.playRadio = function () {
        var views = this.favoriteRadios[this.selectedRadio._id] || 0;
        var streamUrl = this.selectedRadio.stream_address;
        this.favoriteRadios[this.selectedRadio._id] = views + 1;
        this.storage.set('favoriteRadios', JSON.stringify(this.favoriteRadios));
        if (this.audio) {
            this.audio.stop();
        }
        this.FbaPlayRadio();
        this.FbaViewAdvertising();
        this.isPlaying = true;
        this.audio = this.media.create(streamUrl);
        this.audio.play();
        this.createRadioControls();
        this.subscribeToRadioControls();
        this.musicControls.listen();
    };
    HomePage.prototype.createRadioControls = function () {
        this.musicControls.create({
            track: this.selectedRadio.title,
            artist: this.getArtist(),
            cover: this.selectedRadio.Imagem_app4,
            isPlaying: this.isPlaying,
            dismissable: false,
            hasPrev: false,
            hasNext: false
        });
    };
    HomePage.prototype.subscribeToRadioControls = function () {
        var _this = this;
        this.musicControls.subscribe().subscribe(function (action) {
            var message = JSON.parse(action).message;
            switch (message) {
                case 'music-controls-play':
                case 'music-controls-pause':
                    _this.playPause();
                    break;
            }
        });
    };
    HomePage.prototype.playPause = function () {
        if (this.isPlaying) {
            this.isPlaying = false;
            this.audio.pause();
            this.musicControls.updateIsPlaying(false);
            return;
        }
        this.isPlaying = true;
        this.audio.play();
        this.musicControls.updateIsPlaying(true);
    };
    HomePage.prototype.getArtist = function () {
        var frequency = this.selectedRadio.frequency || '';
        var city = this.selectedRadio.cidade || '';
        if (frequency && city) {
            return frequency + " - " + city;
        }
        else if (frequency) {
            return frequency;
        }
        else {
            return city;
        }
    };
    HomePage.prototype.openLink = function (event, link) {
        window.open(link, '_system', 'location=yes');
        this.FbaClickAdvertising();
        event.preventDefault();
    };
    HomePage.prototype.FbaViewAdvertising = function () {
        var ativo = this.selectedRadio.advertisingActive;
        if (ativo === true) {
            var titulo = this.selectedRadio.title;
            var cidade = this.selectedRadio.cidade;
            var evento = 'AD_View_';
            var noSpaceT = titulo.replace(/ /g, '_');
            var noAccentsT = noSpaceT
                .normalize('NFD')
                .replace(/[\u0300-\u036f]/g, '');
            var noSpaceC = cidade.replace(/ /g, '_');
            var noAccentsC = noSpaceC
                .normalize('NFD')
                .replace(/[\u0300-\u036f]/g, '');
            this.logger.logButton("" + evento + noAccentsT + "_" + noAccentsC, {
                pram: 'paramValue'
            });
            console.log("" + evento + noAccentsT + "_" + noAccentsC);
        }
    };
    HomePage.prototype.FbaPlayRadio = function () {
        var titulo = this.selectedRadio.title;
        var cidade = this.selectedRadio.cidade;
        var evento = 'Play_';
        var noSpaceT = titulo.replace(/ /g, '_');
        var noAccentsT = noSpaceT
            .normalize('NFD')
            .replace(/[\u0300-\u036f]/g, '');
        var noSpaceC = cidade.replace(/ /g, '_');
        var noAccentsC = noSpaceC
            .normalize('NFD')
            .replace(/[\u0300-\u036f]/g, '');
        this.logger.logButton("" + evento + noAccentsT + "_" + noAccentsC, {
            pram: 'paramValue'
        });
        console.log("" + evento + noAccentsT + "_" + noAccentsC);
    };
    HomePage.prototype.FbaClickAdvertising = function () {
        var titulo = this.selectedRadio.title;
        var cidade = this.selectedRadio.cidade;
        var evento = 'AD_Click_';
        var noSpaceT = titulo.replace(/ /g, '_');
        var noAccentsT = noSpaceT
            .normalize('NFD')
            .replace(/[\u0300-\u036f]/g, '');
        var noSpaceC = cidade.replace(/ /g, '_');
        var noAccentsC = noSpaceC
            .normalize('NFD')
            .replace(/[\u0300-\u036f]/g, '');
        this.logger.logButton("" + evento + noAccentsT + "_" + noAccentsC, {
            pram: 'paramValue'
        });
        console.log("" + evento + noAccentsT + "_" + noAccentsC);
    };
    HomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["m" /* Component */])({
            selector: 'page-home',template:/*ion-inline-start:"C:\Users\svlima\Desktop\app_radios\commit-gui-4\src\pages\home\home.html"*/'<ion-header>\n  <img [src]="heroImageSrc" class="hero"/>\n</ion-header>\n\n<ion-content color="primary">\n  <ion-list no-lines>\n    <ion-row>\n      <ion-col col-6 text-center *ngFor="let radio of radios">\n        <button (click)="onRadioSelect(radio)" class="radio-button">\n          <img [src]="radio.Imagem_app2" class="radio-button__logo" />\n        </button>\n      </ion-col>\n    </ion-row>\n  </ion-list>\n</ion-content>\n\n<ion-footer *ngIf="selectedRadio">\n  <ion-toolbar>\n    <ion-grid>\n      <ion-row>\n        <ion-col col-3>\n          <button ion-button>no ar</button>\n        </ion-col>\n\n        <ion-col col-6>\n          <ion-title>{{ selectedRadio.title }}</ion-title>\n          <ion-icon name="pin" *ngIf="selectedRadio.cidade">\n            {{ selectedRadio.cidade }}</ion-icon\n          >\n          <span class="frequency">{{ selectedRadio.frequency }}</span>\n        </ion-col>\n\n        <ion-col col-2>\n          <ion-icon\n            [name]="isPlaying ? \'pause\' : \'play\'"\n            (click)="playPause()"\n            isActive="true"\n          ></ion-icon>\n        </ion-col>\n      </ion-row>\n    </ion-grid>\n    <div\n      class="anuncios"\n      text-center\n      style="padding: 4px"\n      *ngIf="selectedRadio.advertisingActive"\n    >\n      <a\n        href="#"\n        (click)="openLink($event, selectedRadio.advertisingLink)"\n        style="display: block;"\n      >\n        <img\n        [src]="selectedRadio.advertisingBanner"\n        style="width:100%"\n        />\n      </a>\n    </div>\n  </ion-toolbar>\n</ion-footer>\n'/*ion-inline-end:"C:\Users\svlima\Desktop\app_radios\commit-gui-4\src\pages\home\home.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__ionic_native_background_mode__["a" /* BackgroundMode */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_media__["a" /* Media */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["e" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_music_controls__["a" /* MusicControls */],
            __WEBPACK_IMPORTED_MODULE_7__providers_radios_radios__["a" /* RadiosProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_8__providers_event_logger_event_logger__["a" /* EventLoggerProvider */]])
    ], HomePage);
    return HomePage;
}());

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 235:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EventLoggerProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_firebase_analytics__ = __webpack_require__(142);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var EventLoggerProvider = /** @class */ (function () {
    function EventLoggerProvider(fba) {
        this.fba = fba;
        console.log('Hello EventLoggerProvider Provider');
    }
    EventLoggerProvider.prototype.logButton = function (name, value) {
        this.fba.logEvent(name, { pram: value })
            .then(function (res) { console.log(res); })
            .catch(function (error) { return console.error(error); });
    };
    EventLoggerProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__ionic_native_firebase_analytics__["a" /* FirebaseAnalytics */]])
    ], EventLoggerProvider);
    return EventLoggerProvider;
}());

//# sourceMappingURL=event-logger.js.map

/***/ }),

/***/ 236:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(39);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var ListPage = /** @class */ (function () {
    function ListPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        // If we navigated to this page, we will have an item available as a nav param
        this.selectedItem = navParams.get('item');
        // Let's populate this page with some filler content for funzies
        this.icons = ['flask', 'wifi', 'beer', 'football', 'basketball', 'paper-plane',
            'american-football', 'boat', 'bluetooth', 'build'];
        this.items = [];
        for (var i = 1; i < 11; i++) {
            this.items.push({
                title: 'Item ' + i,
                note: 'This is item #' + i,
                icon: this.icons[Math.floor(Math.random() * this.icons.length)]
            });
        }
    }
    ListPage_1 = ListPage;
    ListPage.prototype.itemTapped = function (event, item) {
        // That's right, we're pushing to ourselves!
        this.navCtrl.push(ListPage_1, {
            item: item
        });
    };
    ListPage = ListPage_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-list',template:/*ion-inline-start:"C:\Users\svlima\Desktop\app_radios\commit-gui-4\src\pages\list\list.html"*/'<ion-header>\n\n    <ion-navbar>\n\n        <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n        <ion-title>List.</ion-title>\n\n    </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n    <ion-list>\n\n        <button ion-item *ngFor="let item of items" (click)="itemTapped($event, item)">\n\n      <ion-icon [name]="item.icon" item-start></ion-icon>\n\n      {{item.title}}\n\n      <div class="item-note" item-end>\n\n        {{item.note}}\n\n      </div>\n\n    </button>\n\n    </ion-list>\n\n    <div *ngIf="selectedItem" padding>\n\n        You navigated here from <b>{{selectedItem.title}}</b>\n\n    </div>\n\n</ion-content>'/*ion-inline-end:"C:\Users\svlima\Desktop\app_radios\commit-gui-4\src\pages\list\list.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */]])
    ], ListPage);
    return ListPage;
    var ListPage_1;
}());

//# sourceMappingURL=list.js.map

/***/ }),

/***/ 237:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ColunistsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(39);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * Generated class for the ColunistsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ColunistsPage = /** @class */ (function () {
    function ColunistsPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
    }
    ColunistsPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ColunistsPage');
    };
    ColunistsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-colunists',template:/*ion-inline-start:"C:\Users\svlima\Desktop\app_radios\commit-gui-4\src\pages\colunists\colunists.html"*/'<!--\n\n  Generated template for the ColunistsPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar>\n\n    <ion-title>colunists</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content padding>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\svlima\Desktop\app_radios\commit-gui-4\src\pages\colunists\colunists.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */]])
    ], ColunistsPage);
    return ColunistsPage;
}());

//# sourceMappingURL=colunists.js.map

/***/ }),

/***/ 255:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(256);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(263);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 263:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__ionic_native_firebase_analytics__ = __webpack_require__(142);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_status_bar__ = __webpack_require__(226);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_splash_screen__ = __webpack_require__(227);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__angular_common_http__ = __webpack_require__(122);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_sqlite__ = __webpack_require__(229);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_music_controls__ = __webpack_require__(230);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_media__ = __webpack_require__(231);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_storage__ = __webpack_require__(232);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__app_component__ = __webpack_require__(315);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__pages_home_home__ = __webpack_require__(233);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__pages_list_list__ = __webpack_require__(236);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__pages_colunists_colunists__ = __webpack_require__(237);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__pages_city_list_city_list__ = __webpack_require__(125);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__services_http_util_service__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__providers_database_database__ = __webpack_require__(127);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__providers_radios_radios__ = __webpack_require__(126);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__providers_radiosdb_radiosdb__ = __webpack_require__(317);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__providers_advertising_advertising__ = __webpack_require__(318);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__providers_event_logger_event_logger__ = __webpack_require__(235);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__ionic_native_background_mode__ = __webpack_require__(234);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};























var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_2__angular_core__["I" /* NgModule */])({
            declarations: [__WEBPACK_IMPORTED_MODULE_11__app_component__["a" /* MyApp */], __WEBPACK_IMPORTED_MODULE_12__pages_home_home__["a" /* HomePage */], __WEBPACK_IMPORTED_MODULE_13__pages_list_list__["a" /* ListPage */], __WEBPACK_IMPORTED_MODULE_15__pages_city_list_city_list__["a" /* CityListPage */], __WEBPACK_IMPORTED_MODULE_14__pages_colunists_colunists__["a" /* ColunistsPage */]],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_6__angular_common_http__["b" /* HttpClientModule */],
                __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["c" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_11__app_component__["a" /* MyApp */], {}, {
                    links: []
                }),
                __WEBPACK_IMPORTED_MODULE_10__ionic_storage__["a" /* IonicStorageModule */].forRoot()
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_3_ionic_angular__["a" /* IonicApp */]],
            entryComponents: [__WEBPACK_IMPORTED_MODULE_11__app_component__["a" /* MyApp */], __WEBPACK_IMPORTED_MODULE_12__pages_home_home__["a" /* HomePage */], __WEBPACK_IMPORTED_MODULE_13__pages_list_list__["a" /* ListPage */], __WEBPACK_IMPORTED_MODULE_15__pages_city_list_city_list__["a" /* CityListPage */], __WEBPACK_IMPORTED_MODULE_14__pages_colunists_colunists__["a" /* ColunistsPage */]],
            providers: [
                __WEBPACK_IMPORTED_MODULE_4__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_5__ionic_native_splash_screen__["a" /* SplashScreen */],
                __WEBPACK_IMPORTED_MODULE_16__services_http_util_service__["a" /* HttpUtilService */],
                { provide: __WEBPACK_IMPORTED_MODULE_2__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["b" /* IonicErrorHandler */] },
                __WEBPACK_IMPORTED_MODULE_18__providers_radios_radios__["a" /* RadiosProvider */],
                __WEBPACK_IMPORTED_MODULE_7__ionic_native_sqlite__["a" /* SQLite */],
                __WEBPACK_IMPORTED_MODULE_17__providers_database_database__["a" /* DatabaseProvider */],
                __WEBPACK_IMPORTED_MODULE_19__providers_radiosdb_radiosdb__["a" /* RadiosdbProvider */],
                __WEBPACK_IMPORTED_MODULE_8__ionic_native_music_controls__["a" /* MusicControls */],
                __WEBPACK_IMPORTED_MODULE_9__ionic_native_media__["a" /* Media */],
                __WEBPACK_IMPORTED_MODULE_22__ionic_native_background_mode__["a" /* BackgroundMode */],
                __WEBPACK_IMPORTED_MODULE_20__providers_advertising_advertising__["a" /* AdvertisingProvider */],
                __WEBPACK_IMPORTED_MODULE_21__providers_event_logger_event_logger__["a" /* EventLoggerProvider */],
                __WEBPACK_IMPORTED_MODULE_0__ionic_native_firebase_analytics__["a" /* FirebaseAnalytics */]
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 315:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(226);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(227);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_home_home__ = __webpack_require__(233);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_list_list__ = __webpack_require__(236);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pages_colunists_colunists__ = __webpack_require__(237);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__pages_city_list_city_list__ = __webpack_require__(125);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_database_database__ = __webpack_require__(127);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__services_http_util_service__ = __webpack_require__(64);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var MyApp = /** @class */ (function () {
    function MyApp(platform, statusBar, splashScreen, dbProvider, http) {
        this.platform = platform;
        this.statusBar = statusBar;
        this.splashScreen = splashScreen;
        this.dbProvider = dbProvider;
        this.http = http;
        this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */];
        this.initializeApp();
        // used for an example of ngFor and navigation
        this.pages = [
            { title: 'Home', component: __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */] },
            { title: 'List', component: __WEBPACK_IMPORTED_MODULE_5__pages_list_list__["a" /* ListPage */] },
            { title: 'Colunista', component: __WEBPACK_IMPORTED_MODULE_6__pages_colunists_colunists__["a" /* ColunistsPage */] },
            { title: 'Estações', component: __WEBPACK_IMPORTED_MODULE_7__pages_city_list_city_list__["a" /* CityListPage */] }
        ];
    }
    MyApp.prototype.initializeApp = function () {
        var _this = this;
        this.platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            _this.statusBar.styleDefault();
            _this.dbProvider.isReady();
            _this.splashScreen.hide();
            // this.ga.startTrackerWithId(this.http.trackid)
            //   .then(() => {
            //     console.log('Google analytics is ready now');
            //     if (this.platform.is('ios')) {
            //       this.ga.trackView('Aparelho IOS');
            //       console.log('I am an iOS device!');
            //     } else {
            //       this.ga.trackView('Aparelho Android');
            //       console.log('I am an Android device!');
            //     }
            //     // Tracker is ready
            //     // You can now track pages or set additional information such as AppVersion or UserId
            //   })
            //   .catch(e => console.log('Error starting GoogleAnalytics', e));
        });
    };
    MyApp.prototype.openPage = function (page) {
        // Reset the content nav to have just this page
        // we wouldn't want the back button to show in this scenario
        this.nav.setRoot(page.component);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* Nav */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* Nav */])
    ], MyApp.prototype, "nav", void 0);
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"C:\Users\svlima\Desktop\app_radios\commit-gui-4\src\app\app.html"*/'<!-- <ion-menu [content]="content">\n\n  <ion-header>\n\n    <ion-toolbar>\n\n      <ion-title>Menu</ion-title>\n\n    </ion-toolbar>\n\n  </ion-header>\n\n\n\n  <ion-content>\n\n    <ion-list>\n\n      <button menuClose ion-item *ngFor="let p of pages" (click)="openPage(p)">\n\n        {{p.title}}\n\n      </button>\n\n    </ion-list>\n\n  </ion-content>\n\n\n\n</ion-menu> -->\n\n\n\n<!-- Disable swipe-to-go-back because it\'s poor UX to combine STGB with side menus -->\n\n<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>'/*ion-inline-end:"C:\Users\svlima\Desktop\app_radios\commit-gui-4\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */],
            __WEBPACK_IMPORTED_MODULE_8__providers_database_database__["a" /* DatabaseProvider */],
            __WEBPACK_IMPORTED_MODULE_9__services_http_util_service__["a" /* HttpUtilService */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 317:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RadiosdbProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__database_database__ = __webpack_require__(127);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/*
  Generated class for the RadiosdbProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var RadiosdbProvider = /** @class */ (function () {
    function RadiosdbProvider(dbProvider) {
        this.dbProvider = dbProvider;
        this.database = dbProvider.database;
    }
    RadiosdbProvider.prototype.insert = function (radio) {
        return this.dbProvider.isReady()
            .then(function (db) {
            var sql = 'insert into radios (title, Imagem_app1, Imagem_app2, parent, RadioRef, stream_address, ordem) values (?, ?, ?, ?, ?, ?, ?)';
            var data = [radio.title, radio.Imagem_app1, radio.Imagem_app2, radio.parent ? 1 : 0, radio.RadioRef, radio.stream_address, 0];
            console.log(data, 'inserida com sucess');
            return db.executeSql(sql, data)
                .catch(function (e) { return console.error(e); });
        })
            .catch(function (e) { return console.error(e); });
    };
    RadiosdbProvider.prototype.getAny = function () {
        var _this = this;
        return this.dbProvider.isReady()
            .then(function (db) {
            return _this.database.executeSql("SELECT count(*) from radios", [])
                .then(function (data) {
                if (data.rows.length) {
                    return data.rows.item(0);
                }
                return null;
            });
        });
    };
    RadiosdbProvider.prototype.getAll = function () {
        var _this = this;
        return this.dbProvider.isReady()
            .then(function () {
            return _this.database.executeSql("SELECT * from radios", [])
                .then(function (data) {
                if (data.rows.length) {
                    return data.rows.item(0);
                }
                return null;
            });
        });
    };
    RadiosdbProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__database_database__["a" /* DatabaseProvider */]])
    ], RadiosdbProvider);
    return RadiosdbProvider;
}());

//# sourceMappingURL=radiosdb.js.map

/***/ }),

/***/ 318:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AdvertisingProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common_http__ = __webpack_require__(122);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_operators__ = __webpack_require__(319);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_operators__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__services_http_util_service__ = __webpack_require__(64);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/*
  Generated class for the AdvertisingProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var AdvertisingProvider = /** @class */ (function () {
    function AdvertisingProvider(http, httpUtilService) {
        this.http = http;
        this.httpUtilService = httpUtilService;
        console.log('Hello AdvertisingProvider Provider');
    }
    AdvertisingProvider.prototype.getAdvertising = function () {
        var API = this.httpUtilService.url('advertising');
        return this.http.get(API)
            .pipe(Object(__WEBPACK_IMPORTED_MODULE_2_rxjs_operators__["map"])(function (res) { return res['data']; }));
    };
    AdvertisingProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_common_http__["a" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_3__services_http_util_service__["a" /* HttpUtilService */]])
    ], AdvertisingProvider);
    return AdvertisingProvider;
}());

//# sourceMappingURL=advertising.js.map

/***/ }),

/***/ 64:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HttpUtilService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var HttpUtilService = /** @class */ (function () {
    function HttpUtilService() {
        this.API_URL = 'http://api2radios.band.uol.com.br/';
        this.trackid = 'UA-135011010-1';
    }
    HttpUtilService.prototype.url = function (path) {
        return this.API_URL + path;
    };
    HttpUtilService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [])
    ], HttpUtilService);
    return HttpUtilService;
}());

//# sourceMappingURL=http-util-service.js.map

/***/ })

},[255]);
//# sourceMappingURL=main.js.map